name: Simple Kubernetes Pod and Service
services:
  pod:
    name: pod
    type: Pod
    apiVersion: v1
    namespace: default
    version: v1.25.2
    model: kubernetes
    settings:
      spec:
        containers:
        - image: nginx
          image Pull Policy: Always
          name: ""
    traits:
      meshmap:
        edges:
        - data:
            id: 0de93a9b-8c55-434d-8f84-f9db15d49fb5
            metadata:
              port: 80
              protocol: TCP
            source: c6d9a587-e10d-4645-adf1-ee367f8f151e
            subType: Network
            target: 7f7dae0d-f3a9-4f41-95d5-e6031a3cb263
        id: 7f7dae0d-f3a9-4f41-95d5-e6031a3cb263
        label: pod
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: ""
          isCustomResource: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          styleOverrides: ""
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
        position:
          posX: 528.5426330566406
          posY: 113.82954406738281
  service:
    name: service
    type: Service
    apiVersion: v1
    version: v1.25.2
    model: kubernetes
    settings:
      spec:
        ports:
        - name: target-port
          port: 80
          protocol: TCP
          target Port: 8080
        - port: 80
          protocol: TCP
    traits:
      meshmap:
        edges:
        - data:
            id: 0de93a9b-8c55-434d-8f84-f9db15d49fb5
            metadata:
              port: 80
              protocol: TCP
            source: c6d9a587-e10d-4645-adf1-ee367f8f151e
            subType: Network
            target: 7f7dae0d-f3a9-4f41-95d5-e6031a3cb263
        - data:
            id: 24e76532-a033-4afc-a4c1-bcc699ccdb93
            metadata:
              port: 80
              protocol: TCP
            source: c6d9a587-e10d-4645-adf1-ee367f8f151e
            subType: Network
            target: c6d9a587-e10d-4645-adf1-ee367f8f151e
        id: c6d9a587-e10d-4645-adf1-ee367f8f151e
        label: service
        meshmodel-data:
          category:
            metadata: null
            name: Orchestration & Management
          displayName: Kubernetes
          metadata:
            svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
            svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
          name: kubernetes
          version: v1.25.2
        meshmodel-metadata:
          genealogy: ""
          isCustomResource: false
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          published: true
          secondaryColor: '#7aa1f0'
          shape: round-triangle
          styleOverrides: '{"height":16,"width":17,"padding":12,"background-fit":"none","background-position-y":4.5}'
          subCategory: Scheduling & Orchestration
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/apiservice-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/apiservice-white.svg
        position:
          posX: 403.4258057556284
          posY: 121.62987397542253
